Package org.eclipse.graphiti.ui.internal

# Class ResourceManager

java.lang.Object
org.eclipse.graphiti.ui.internal.ResourceManager

All Implemented Interfaces:
  `IResourceManager`

public class ResourceManager extends Object implements IResourceManager

## Constructor Summary

Constructors
Constructor
Description
`ResourceManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanUpResources(Object obj)`
`static IResourceManager`
`getResourceManager()`
Provides the resource manager.
`void`
`manageResource(Object obj, org.eclipse.swt.graphics.Resource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceManager

public ResourceManager()

## Method Details

### getResourceManager

public static IResourceManager getResourceManager()
Provides the resource manager.

Returns:
  the resource manager
See Also:
  - `IResourceManager`

### cleanUpResources

public void cleanUpResources(Object obj)

Specified by:
  `cleanUpResources` in interface `IResourceManager`

### manageResource

public void manageResource(Object obj, org.eclipse.swt.graphics.Resource resource)

Specified by:
  `manageResource` in interface `IResourceManager`